SharpScss 1.3.8

A P/Invoke .NET wrapper around libsass to convert SCSS to CSS supporting NET2.0/NET3.5/NET4.x+ and CoreCLR platform

Install-Package SharpScss -Version 1.3.8
dotnet add package SharpScss --version 1.3.8
paket add SharpScss --version 1.3.8
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

> 1.3.8
 - Fix runtime for MacOSX
> 1.3.7
 - Improve detection of x86 runtime on Windows for net20, net35, net40+

> 1.3.6
 - Fix native library on Windows x86/x64 to return the correct version `Scss.Version`

> 1.3.5
 - Better support for NET20, NET35, NET40 by copying by default the win7-x64 libsass.dll to the folder.
   The platform runtime can be changed in your project by using the SharpScssRuntime variable set by default to `win7-x64`
   
   The possible values for SharpScssRuntime are:
   - `win7-x86`
   - `win7-x64`
   - `osx.10.10-x64`
   - `ubuntu.14.04-x64`
   
   For the netstandard1.3+ platforms (.NET Core), it is based on the RID of your `netcoreapp` project

> 1.3.4
 - upgrade to libsass 3.4.4

  • .NETFramework 2.0

    • No dependencies.
  • .NETFramework 3.5

    • No dependencies.
  • .NETFramework 4.0

    • No dependencies.
  • .NETStandard 1.3

Version History

Version Downloads Last updated
1.3.8 (current) 9,441 8/23/2017
1.3.7 1,048 5/14/2017
1.3.6 108 5/13/2017
1.3.5 108 5/13/2017
1.3.4 8,057 4/2/2017
1.3.3 111 4/2/2017
1.3.2 107 4/2/2017
1.3.1 108 4/2/2017
1.3.0 112 4/2/2017
1.2.0 1,561 6/27/2016
1.1.0 195 6/1/2016
1.0.1 299 4/5/2016
1.0.0 147 4/5/2016